<div class="row">
    <div class="col-md-12 mb-4">
        <button *ngIf="userRole!='Admin' " data-toggle="modal" data-target="#addEditStyle" type="button"
        class="btn btn-sm btn-custom" (click)="createNewStyleFormGroup()" data-backdrop="static"
        data-keyboard="false">Generate New Style</button>
    </div>
</div>

<div class="card shadow mb-4">
    <div class="card-body p-4">
        <form class="user filterForm pb-4" [formGroup]="filterForm" *ngIf="userRole == ADMIN">
            <div class="form-group row">
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <select formControlName="company" class="form-control dropdown"
                        (change)="getFilteredStyles()">
                        <option value="" selected>Select Company</option>
                        <option *ngFor="let company of companies" value="{{company.company_id}}">{{company.name}}
                        </option>
                    </select>
                </div>
                <div class="col-sm-2 mb-3 mb-sm-0">
                    <input type="submit" value="Reset" (click)="resetFilters()" class="btn btn-warning btn-block">
                </div>
            </div>
        </form>
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Code</th>
                        <th>Brand</th>
                        <th *ngIf="userRole == ADMIN">Company</th>
                        <th>Season</th>
                        <th>Type</th>
                        <th>Fit</th>
                        <th>Remark</th>
                        <th *ngIf="userRole != ADMIN">Action</th>
                    </tr>
                </thead>
                <tbody>
                    <tr *ngFor="let style of styles | paginate: { itemsPerPage: 10, currentPage: p }">
                        <td><a [routerLink]="" (click)="viewStyle(style.style_id)">{{style.style_name}}</a></td>
                        <td>{{style.style_code}}</td>
                        <td>{{style.brand_name}}</td>
                        <td *ngIf="userRole == ADMIN">{{style.company}}</td>
                        <td>{{style.season}}</td>
                        <td>{{style.garment_type}}</td>
                        <td>{{style.garment_fit}}</td>
                        <td>{{style.garment_remark}}</td>
                        <td *ngIf="userRole != ADMIN">
                            <span><i class="fa fa-eye text-info mr-2" (click)="viewStyle(style.style_id)"
                                    aria-hidden="true"></i></span>
                            <span><i data-toggle="modal" data-target="#addEditStyle" (click)="editStyle(style)"
                                    class="fa fa-edit mr-2 text-primary" aria-hidden="true"></i></span>
                        </td>
                    </tr>
                    <tr *ngIf="styles==''">
                        <td colspan="9" class="text-center">No Records Found</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="row d-flex justify-content-center">
            <pagination-controls *ngIf="styles!=''" class="my-pagination" (pageChange)="p = $event">
            </pagination-controls>
        </div>
    </div>
</div>

<app-view-style></app-view-style>
<!-----------Add New Company Form Modal------------------------>
<div id="addEditStyle" class="modal fade largeModal" role="dialog">
    <div class="modal-dialog">

        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <h6 class="modal-title">Create/update Style</h6>
                <button #closeBtn (click)="resetForm()" type="button" class="close"
                    data-dismiss="modal">&times;</button>
            </div>
            <div class="modal-body">
                <form class="user" (submit)="addorEditNewStyle()" [formGroup]="NewStyleForm">
                    <div class="form-group row">
                        <div class="col-sm-6 mb-3">
                            <label>Style Code:</label>
                            <input formControlName="style_code" type="text" class="form-control form-control-user"
                                id="style_code">
                            <div *ngIf="submitted && formControls.style_code.errors" class="errors">
                                <div *ngIf="formControls.style_code.errors.required">Style Code is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3">
                            <label>Style Name:</label>
                            <input formControlName="style_name" type="text" class="form-control form-control-user"
                                id="style_name">
                            <div *ngIf="submitted && formControls.style_name.errors" class="errors">
                                <div *ngIf="formControls.style_name.errors.required">Style Name is required</div>
                            </div>
                        </div>
                   
                        <div class="col-sm-6 mb-3">
                            <label>Garment Type:</label>
                            <select formControlName="garment_type" class="form-control dropdown" id="garment_type">
                                <option value="Tops">Tops</option>
                                <option value="Bottom">Bottom</option>
                            </select>
                            <div *ngIf="submitted && formControls.garment_type.errors" class="errors">
                                <div *ngIf="formControls.garment_type.errors.required">Garment Type is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3">
                            <label>Garment Fit:</label>
                            <input formControlName="garment_fit" type="text" class="form-control form-control-user">
                            <div *ngIf="submitted && formControls.garment_fit.errors" class="errors">
                                <div *ngIf="formControls.garment_fit.errors.required">Garment Fit is required</div>
                            </div>
                        </div>
                   
                        <div class="col-sm-6 mb-3">
                            <label>Brand:</label>
                            <select formControlName="brand" class="form-control dropdown" id="brand">
                                <option *ngFor="let brand of brands" value="{{brand.brand_id}}">{{brand.brand_name}}
                                </option>
                            </select>
                            <div *ngIf="submitted && formControls.brand.errors" class="errors">
                                <div *ngIf="formControls.brand.errors.required">Brand is required</div>
                            </div>
                        </div>
                        <div class="col-sm-6 mb-3">
                            <label>Season:</label>
                            <input formControlName="season" type="text" class="form-control form-control-user">
                            <div *ngIf="submitted && formControls.season.errors" class="errors">
                                <div *ngIf="formControls.season.errors.required">Season is required</div>
                            </div>
                        </div>
                    
                        <div class="col-sm-12 mb-3">
                            <label>Remark:</label>
                            <input formControlName="garment_remark" type="text" class="form-control form-control-user"
                                id="remark">
                            <div *ngIf="submitted && formControls.garment_remark.errors" class="errors">
                                <div *ngIf="formControls.garment_remark.errors.required">Remark is required</div>
                            </div>
                        </div>
                    </div>
                    <hr>
                    <div class="form-group row">
                        <div class="col-sm-2 mb-3">
                        </div>
                        <div class="col-sm-8 mb-3">
                            <input type="submit" value="submit" class="btn btn-main btn-user btn-block">
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </div>
</div>